import type { Context } from "hono";
import { setDefaultWallet } from "../wallets.service";

export async function setDefaultWalletHandler(c: Context) {
  const id = Number(c.req.param("id"));
  const result = await setDefaultWallet(id);
  return c.json(result);
}
